Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Class/Throwable.pm) perl(Exception/Class.pm) perl(Exception/Class/TryCatch.pm) perl(File/Copy/Recursive.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(XML/SAX/Base.pm) perl(XML/SAX/Expat.pm) perl(YAML/Tiny.pm) perl-podlators
# END SourceDeps(oneline)
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Run optional tests
%{bcond_without perl_TryCatch_enables_optional_test}

Name:           perl-TryCatch
Version:        1.003002
Release:        alt13_35
Summary:        First class try catch semantics for Perl, without source filters
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/TryCatch
Source0:        https://cpan.metacpan.org/authors/id/A/AS/ASH/TryCatch-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
# perl-podlators (pod2text) not used
BuildRequires:  perl(ExtUtils/Depends.pm)
# File::Copy::Recursive not used
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(Module/Install/Can.pm)
BuildRequires:  perl(Module/Install/Metadata.pm)
# Path::Class not used
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(B/Hooks/EndOfScope.pm)
BuildRequires:  perl(B/Hooks/OP/PPAddr.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Devel/Declare.pm)
BuildRequires:  perl(Devel/Declare/Context/Simple.pm)
BuildRequires:  perl(Devel/PartialDump.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Parse/Method/Signatures.pm)
BuildRequires:  perl(Scope/Upper.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
%if %{with perl_TryCatch_enables_optional_test}
# Optional tests:
BuildRequires:  perl(MooseX/Types/Structured.pm)
# XML::SAX::Base useless without XML::SAX::Expat
# XML::SAX::Expat not yet packaged
%endif
Requires:       perl(B/Hooks/EndOfScope.pm) >= 0.120
Requires:       perl(B/Hooks/OP/PPAddr.pm) >= 0.030
Requires:       perl(Devel/Declare.pm) >= 0.005.007
Requires:       perl(namespace/clean.pm) >= 0.200
Requires:       perl(Parse/Method/Signatures.pm) >= 1.003.012
Requires:       perl(Scope/Upper.pm) >= 0.060
Requires:       perl(Sub/Exporter.pm) >= 0.979



# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(\(B.Hooks.EndOfScope\|B.Hooks.OP.PPAddr\|Devel.Declare\|namespace.clean\|Parse.Method.Signatures\|Scope.Upper\|Sub.Exporter\).pm)/d

%description
This module aims to provide a nicer syntax and method to catch errors in
Perl, similar to what is found in other languages (such as Java, Python or
C++). The standard method of using eval {}; if ($@) {} is often prone to
subtle bugs, primarily that its far too easy to stomp on the error in error
handlers. And also eval/if isn't the nicest idiom.

%prep
%setup -q -n TryCatch-%{version}
# Remove bundled modules
rm -r ./inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="%{optflags}"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README eg
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/TryCatch*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.003002-alt13_35
- update to new release by fcimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt13_33
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_33
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_31
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_30
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_29
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_28
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_27
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 1.003002-alt12_26
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt12_25
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.003002-alt11_25
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt11_24
- update to new release by fcimport

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt10_24
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt9_24
- rebuild with perl 5.30

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt8_24
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt8_23
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt8_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt8_21
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt8_20
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt8_19
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt8_18
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt7_18
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt6_18
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt6_17
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt6_16
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt6_15
- rebuild with perl 5.26

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt5_15
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt5_11
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt5_10
- rebuild to get rid of unmets

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt4_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt4_9
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt4_8
- rebuild to get rid of unmets

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt3_8
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt3_6
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt2_6
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt2_5
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt2_4
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 1.003002-alt2_3
- rebuild to get rid of unmets

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt1_3
- update to new release by fcimport

* Fri Jun 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.003002-alt1_1
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.003000-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.003000-alt2_5
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.003000-alt1_5
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.003000-alt1_3
- fc import

